<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
require_once ('../system/function.php');
//-----Подключаем вверх-----//
$id = abs(intval($_GET['id']));
$forum_r = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id` = '".$id."'"));
$title='Раздел '.$forum_r['name'].'';
if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); 
exit;
}
require_once ('../system/header.php');


if($forum_r == 0) {
echo '<div class="title">Форум | Ошибка</div><div class="podmenu"><center><b>Такого раздела не существует!</b></center></div>';
require_once ('../system/footer.php');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/forum/">'.$title.'</a> | '.$forum_r['name'].'</div>';

require_once ('menu.php');

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_kat` WHERE `razdel` = '".$id."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$forum_k = mysql_query("SELECT * FROM `forum_kat` WHERE `razdel` = '".$id."' ORDER BY `id` DESC LIMIT $start, $max");

while($a = mysql_fetch_assoc($forum_k))
{
echo '<div class="podmenu">';
echo (empty($a['icon'])?'<img src="/images/category.png"> ':'<img src="/files/katicon/'.$a['icon'].'"> ');

echo '<a href="/forum/kat'.$a['id'].'">'.$a['name'].'</a> 
['.mysql_result(mysql_query('select count(`id`) from `forum_tema` where `kat` = "'.$a['id'].'"'),0).'/'.mysql_result(mysql_query('select count(`id`) from `forum_post` where `kat` = "'.$a['id'].'"'),0).']';
if($user['level'] >= 3) echo ' [<a href="/forum/del_kat'.$a['id'].'">удалить</a>|<a href="/forum/red_kat'.$a['id'].'">ред</a>]';
echo '</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>В данном разделе категорий пока нет!</center></b></div>';
if($user['level'] >= 3) echo '<div class="links"><img src="'.$HOME.'/images/add.png" alt="*" /> <a href="/forum/nk'.$id.'">Новый подраздел</a></div>';

require_once ('footers.php');

if($k_page>1) echo str(''.$HOME.'/forum/razdel'.$id.'?',$k_page,$page); // Вывод страниц

require_once ('../system/footer.php');
?>